#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = require("commander");
const Client_1 = require("./structures/Client");
const Logger_1 = require("./structures/Logger");
const { version } = require('../package.json');
commander_1.program.name('gts').version(version);
commander_1.program
    .command('dev', { isDefault: true })
    .description('start the bot in development mode')
    .action(() => {
    Logger_1.Logger.wait('Starting in development mode...');
    new Client_1.Client({ dev: true });
});
commander_1.program
    .command('start')
    .description('start the bot')
    .action(() => {
    Logger_1.Logger.wait('Starting...');
    new Client_1.Client();
});
commander_1.program.parse(process.argv);
//# sourceMappingURL=bin.js.map