"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Event = void 0;
/**
 * The builder for a event.
 * @example
 * class Ready extends Event {
 *     name = 'ready';
 *
 *     execute() {
 *         console.log('Ready!');
 *     }
 * }
 */
class Event {
    client;
    /** The name of the event. */
    name;
    /** Whether the event should run once. */
    once;
    /** @param client The client the event belongs to. */
    constructor(client) {
        this.client = client;
    }
}
exports.Event = Event;
//# sourceMappingURL=Event.js.map