/** Represents a logger for the client. */
export declare class Logger {
    /**
     * Log ready message.
     * @example Logger.ready('Ready!');
     */
    static ready(text: string): void;
    /**
     * Log wait message.
     * @example Logger.wait('Loading...');
     */
    static wait(text: string): void;
    /**
     * Log event message.
     * @example Logger.event('Done!');
     */
    static event(text: string): void;
    /**
     * Log error message.
     * @example Logger.error('Error!');
     */
    static error(text: string): void;
}
//# sourceMappingURL=Logger.d.ts.map