"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Logger = void 0;
const chalk_1 = __importDefault(require("chalk"));
/** Represents a logger for the client. */
class Logger {
    /**
     * Log ready message.
     * @example Logger.ready('Ready!');
     */
    static ready(text) {
        console.log(`${chalk_1.default.green('ready')} - ${text}`);
    }
    /**
     * Log wait message.
     * @example Logger.wait('Loading...');
     */
    static wait(text) {
        console.log(`${chalk_1.default.blue('wait')}  - ${text}`);
    }
    /**
     * Log event message.
     * @example Logger.event('Done!');
     */
    static event(text) {
        console.log(`${chalk_1.default.yellow('event')} - ${text}`);
    }
    /**
     * Log error message.
     * @example Logger.error('Error!');
     */
    static error(text) {
        console.log(`${chalk_1.default.red('error')} - ${text}`);
    }
}
exports.Logger = Logger;
//# sourceMappingURL=Logger.js.map