import { Argument } from './Argument';
/**
 * Represents a boolean command argument.
 * @example
 * class MyArgument extends BooleanArgument {
 *     name = 'my-argument';
 * }
 */
export declare abstract class BooleanArgument extends Argument {
    /** The default value of the argument. */
    default?: boolean;
    /**
     * Validates the boolean argument.
     * @param value The value of the argument.
     * @returns The validated value, or error.
     * @example booleanArgument.validate('true'); // true
     */
    validate(value: string): Promise<boolean>;
}
//# sourceMappingURL=BooleanArgument.d.ts.map