import { Argument } from './Argument';
/**
 * Represents a number command argument.
 * @example
 * class MyArgument extends NumberArgument {
 *     name = 'my-argument';
 * }
 */
export declare abstract class NumberArgument extends Argument {
    /** The default value of the argument. */
    default?: number;
    /** The choices of the argument. */
    choices: number[];
    /** The max value of the argument. */
    max?: number;
    /** The min value of the argument. */
    min?: number;
    /**
     * Validates the number argument.
     * @param value The value of the argument.
     * @returns The validated value, or error.
     * @example numberArgument.validate('1'); // 1
     */
    validate(value: string): Promise<number>;
}
//# sourceMappingURL=NumberArgument.d.ts.map